{
 "actions": [],
 "autoname": "autoincrement",
 "creation": "2026-05-22 11:58:31.649154",
 "doctype": "DocType",
 "editable_grid": 1,
 "engine": "InnoDB",
 "field_order": [
  "customer",
  "customer_number",
  "contact_name",
  "phone_1",
  "phone_2",
  "email_1",
  "email_2",
  "address",
  "city",
  "zip",
  "hours",
  "notes",
  "red_r2",
  "dnc",
  "raw_name",
  "raw_phone1",
  "raw_phone2",
  "raw_email"
 ],
 "fields": [
  {
   "fieldname": "customer",
   "fieldtype": "Link",
   "in_list_view": 1,
   "in_standard_filter": 1,
   "label": "Customer",
   "options": "Customer",
   "reqd": 1
  },
  {
   "fieldname": "customer_number",
   "fieldtype": "Data",
   "in_list_view": 1,
   "in_standard_filter": 1,
   "label": "Customer Number"
  },
  {
   "fieldname": "contact_name",
   "fieldtype": "Data",
   "in_list_view": 1,
   "label": "Contact Name"
  },
  {
   "fieldname": "phone_1",
   "fieldtype": "Data",
   "label": "Phone 1"
  },
  {
   "fieldname": "phone_2",
   "fieldtype": "Data",
   "label": "Phone 2"
  },
  {
   "fieldname": "email_1",
   "fieldtype": "Data",
   "label": "Email 1"
  },
  {
   "fieldname": "email_2",
   "fieldtype": "Data",
   "label": "Email 2"
  },
  {
   "fieldname": "address",
   "fieldtype": "Text",
   "label": "Address"
  },
  {
   "fieldname": "city",
   "fieldtype": "Data",
   "label": "City"
  },
  {
   "fieldname": "zip",
   "fieldtype": "Data",
   "label": "Zip"
  },
  {
   "fieldname": "hours",
   "fieldtype": "Data",
   "label": "Hours"
  },
  {
   "fieldname": "notes",
   "fieldtype": "Text",
   "label": "Notes"
  },
  {
   "fieldname": "red_r2",
   "fieldtype": "Data",
   "in_standard_filter": 1,
   "label": "Red R2"
  },
  {
   "default": "0",
   "fieldname": "dnc",
   "fieldtype": "Check",
   "label": "DNC"
  },
  {
   "fieldname": "raw_name",
   "fieldtype": "Text",
   "label": "Raw Name"
  },
  {
   "fieldname": "raw_phone1",
   "fieldtype": "Data",
   "label": "Raw Phone 1"
  },
  {
   "fieldname": "raw_phone2",
   "fieldtype": "Data",
   "label": "Raw Phone 2"
  },
  {
   "fieldname": "raw_email",
   "fieldtype": "Data",
   "label": "Raw Email"
  }
 ],
 "grid_page_length": 50,
 "index_web_pages_for_search": 1,
 "links": [],
 "modified": "2026-05-25 11:33:19.259739",
 "modified_by": "Administrator",
 "module": "Westech R2",
 "name": "Customer Interaction",
 "naming_rule": "Autoincrement",
 "owner": "Administrator",
 "permissions": [
  {
   "create": 1,
   "email": 1,
   "export": 1,
   "print": 1,
   "read": 1,
   "report": 1,
   "role": "System Manager",
   "share": 1,
   "write": 1
  },
  {
   "create": 1,
   "email": 1,
   "export": 1,
   "print": 1,
   "read": 1,
   "report": 1,
   "role": "Stock Manager",
   "share": 1,
   "write": 1
  },
  {
   "create": 1,
   "email": 1,
   "export": 1,
   "print": 1,
   "read": 1,
   "report": 1,
   "role": "Stock User",
   "share": 1,
   "write": 1
  }
 ],
 "row_format": "Dynamic",
 "rows_threshold_for_grid_search": 20,
 "sort_field": "modified",
 "sort_order": "DESC",
 "states": [],
 "title_field": "contact_name",
 "track_changes": 1,
 "track_seen": 1
}